package com.ozs.service.utils;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ozs.common.core.redis.RedisCache;
import com.ozs.common.utils.AppendUtils;
import com.ozs.common.utils.ImgUtil;
import com.ozs.service.entity.BaseCameraManagement;
import com.ozs.service.entity.BaseRailwayManagement;
import com.ozs.service.service.*;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;
import org.springframework.util.ObjectUtils;

import javax.annotation.PostConstruct;
import java.time.LocalDate;
import java.time.LocalTime;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 相机工具
 *
 * @author Administrator
 */

@Configuration
@Slf4j
@Component
public class CallbackUtil {
    @Autowired
    CameraLogDetailService cameraLogDetailService;
    @Autowired
    MqLogService mqLogService;
    private static CameraLogDetailService cameraLogDetail;
    private static MqLogService mqLog;


    @PostConstruct
    public void init() {
        cameraLogDetail = cameraLogDetailService;
        mqLog = mqLogService;
    }

    public static void callback(String deviceSn, Integer code, String remark) {
        CallbackUtil.cameraLogDetail.updateAccessories(deviceSn, code, remark);
    }

    public static void heart(String cameraCode) {
        CallbackUtil.mqLog.insetHeartLog(cameraCode);
    }
}
